# No make rules by default
.SUFFIXES:

# Extension of object files
O=.o

# Extension of executables
EXE=

# Bourn shell
SHELL=/bin/sh

# Path prefix for installation links
PREFIX=/usr/local

# List of subdirectories
SUBDIRS=cephes T1lib expat  lib/base lib/canvas lib/core src grconvert fonts templates doc examples auxiliary

# Grace version numbers
MAJOR_REV=5
MINOR_REV=99
PATCHLEVEL=0
BETA_VER=preview

PROG_SUFFIX=-5.99.0

# Name of executable
GRACE=grace$(EXE)

# Location of the Grace home
GRACE_HOME=/usr/local/grace-5.99.0

# Relocatable that contains alloca()
ALLOCA=

# Type1 fonts library
T1_LIB=$(TOP)/T1lib/libt1.a

# T1 include path
T1_INC=-I$(TOP)/T1lib/t1lib

# T1lib defines (if the bundled version to be used)
T1_AA_TYPE16=short
T1_AA_TYPE32=int
T1_AA_TYPE64=long

# Expat library
EXPAT_LIB=$(TOP)/expat/libexpat.a

# Expat include path
EXPAT_INC=-I$(TOP)/expat

# XCC exec
XCC=xcc

# Library containing XDR functions
XDR_LIB=

# Library containing dll-related functions
DL_LIB=-ldl

# FFTW library
FFTW_LIB=

# netCDF libraries
NETCDF_LIBS=

# XMI library
XMI_LIB=

# JPEG library
JPEG_LIB=

# libz library
Z_LIB=-lz

# PNG library
PNG_LIB=

# PDFlib library
PDF_LIB=

# Xbae include path
XBAE_INC=

# Location of yacc (or its substitution)
YACC=yacc

# C compiler
CC=gcc

# F77 compiler
FC=:

# ar
AR=ar

# ranlib
RANLIB=ranlib

# rm
RM=rm -f

# soft link
LN_S=ln -s

# BSD install
INSTALL=/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_DATA=${INSTALL} -m 644
MKINSTALLDIRS=/home/reu/2017/kaylac/xmgrace/grace-5.99.0/ac-tools/shtool mkdir -p -f

# CPP flags
CPPFLAGS=

# C flags
CFLAGS0=-O2  -fno-common -Wall -pedantic -Wpointer-arith -Wnested-externs

# GUI flags
GUI_FLAGS=

# LDFLAGS
LDFLAGS=

# Libraries (all but GUI)
NOGUI_LIBS=-lm 

# GUI libraries
GUI_LIBS= 

# Default paper size
PAPERSIZE=a4

# Command used to print
PRINT_CMD='lp -c'

# Editor
GRACE_EDITOR='xterm -e vi'

# HTML help viewer command
HELPVIEWER=

# Grace libraries
GRACE_BASE_LIB=$(TOP)/lib/base/libgrace-base.a
GRACE_CANVAS_LIB=$(TOP)/lib/canvas/libgrace-canvas.a
GRACE_CORE_LIB=$(TOP)/lib/core/libgrace-core.a

